﻿Option Strict On
Imports System.Xml.Linq
Imports Microsoft.Phone.Tasks
Partial Public Class SelectPhoneNumberPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub
    Dim xmldoc As XElement
    Private Sub SelectPhoneNumberPage_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        xmldoc = XElement.Load("PhoneGuidance.xml")
        Dim phoneList As New List(Of String)
        For Each result In From c In xmldoc.Descendants("電話番号") Select c
            phoneList.Add(result.Attribute("title").Value)
        Next
        ListBox1.ItemsSource = phoneList
    End Sub

    Private Sub ListBox1_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        Dim phoneTask As New PhoneCallTask
        Dim phoneNumber As String = xmldoc.Descendants("電話番号")(ListBox1.SelectedIndex).Value
        With phoneTask
            .DisplayName = ListBox1.SelectedItem.ToString & ":" & phoneNumber & "に電話します。"
            .PhoneNumber = phoneNumber
            .Show()
        End With
    End Sub
End Class
